## org.gnu.gtk
Class IconTheme

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.IconTheme

public class IconTheme
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`IconTheme()`

Method Summary
`static void` `addBuiltinIcon(java.lang.String name, int size, Pixbuf pixbuf)`
`void` `appendSearchPath(java.lang.String path)`
`static IconTheme` `getDefault()`
`static IconTheme` `getForSceen(Screen screen)`
`IconSize[]` `getIconSizes(java.lang.String iconName)` Returns an array of `IconSize` describing the sizes at which the icon is available without scaling.
`java.lang.String[]` `getSearchPath()`
`protected static void` `gtk_icon_theme_add_builtin_icon(java.lang.String iconName, int size, Handle pixbuf)`
`protected static void` `gtk_icon_theme_append_search_path(Handle itheme, java.lang.String path)`
`protected static Handle` `gtk_icon_theme_get_default()`
`protected static java.lang.String` `gtk_icon_theme_get_example_icon_name(Handle itheme)`
`protected static Handle` `gtk_icon_theme_get_for_screen(Handle screen)`
`protected static java.lang.String[]` `gtk_icon_theme_get_search_path(Handle itheme)`
`protected static int` `gtk_icon_theme_get_type()`
`protected static boolean` `gtk_icon_theme_has_icon(Handle itheme, java.lang.String iconName)`
`protected static java.lang.String[]` `gtk_icon_theme_list_icons(Handle itheme, java.lang.String context)`
`protected static Handle` `gtk_icon_theme_load_icon(Handle itheme, java.lang.String iconName, int size, int iconLookupflags, Handle error)`
`protected static Handle` `gtk_icon_theme_lookup_icon(Handle itheme, java.lang.String iconName, int size, int iconLookupFlags)`
`protected static Handle` `gtk_icon_theme_new()`
`protected static void` `gtk_icon_theme_prepend_search_path(Handle itheme, java.lang.String path)`
`protected static boolean` `gtk_icon_theme_rescan_if_needed(Handle itheme)`
`protected static void` `gtk_icon_theme_set_custom_theme(Handle itheme, java.lang.String name)`
`protected static void` `gtk_icon_theme_set_screen(Handle itheme, Handle screen)`
`protected static void` `gtk_icon_theme_set_search_path(Handle itheme, java.lang.String[] path, int pathlen)`
`boolean` `hasIcon(java.lang.String iconName)`
`java.lang.String[]` `listIcons(java.lang.String context)`
`Pixbuf` `loadIcon(java.lang.String name, int size, IconLookupFlags flags)` Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf.
`IconInfo` `lookupIcon(java.lang.String name, int size, IconLookupFlags flags)`
`void` `prependSearchPath(java.lang.String path)`
`boolean` `rescanIfNeeded()`
`void` `setCustomtTheme(java.lang.String name)`
`void` `setScreen(Screen screen)`
`void` `setSearchPath(java.lang.String[] path)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconTheme

    public IconTheme()

Method Detail

### getDefault

    public static IconTheme getDefault()

### getForSceen

    public static IconTheme getForSceen(Screen screen)

### setScreen

    public void setScreen(Screen screen)

### setSearchPath

    public void setSearchPath(java.lang.String[] path)

### getSearchPath

    public java.lang.String[] getSearchPath()

### appendSearchPath

    public void appendSearchPath(java.lang.String path)

### prependSearchPath

    public void prependSearchPath(java.lang.String path)

### setCustomtTheme

    public void setCustomtTheme(java.lang.String name)

### hasIcon

    public boolean hasIcon(java.lang.String iconName)

### lookupIcon

    public IconInfo lookupIcon(java.lang.String name,
                               int size,
                               IconLookupFlags flags)

### loadIcon

    public Pixbuf loadIcon(java.lang.String name,
                           int size,
                           IconLookupFlags flags)

  Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf. If the icons is not found this method will return null.

  Parameters:
    `name` -
    `size` -
    `flags` -
  Returns:

### listIcons

    public java.lang.String[] listIcons(java.lang.String context)

### rescanIfNeeded

    public boolean rescanIfNeeded()

### addBuiltinIcon

    public static void addBuiltinIcon(java.lang.String name,
                                      int size,
                                      Pixbuf pixbuf)

### getIconSizes

    public IconSize[] getIconSizes(java.lang.String iconName)

  Returns an array of `IconSize` describing the sizes at which the icon is available without scaling. A size of -1 means that the icon is available in a scalable format.

### gtk_icon_theme_get_type

    protected static final int gtk_icon_theme_get_type()

### gtk_icon_theme_new

    protected static final Handle gtk_icon_theme_new()

### gtk_icon_theme_get_default

    protected static final Handle gtk_icon_theme_get_default()

### gtk_icon_theme_get_for_screen

    protected static final Handle gtk_icon_theme_get_for_screen(Handle screen)

### gtk_icon_theme_set_screen

    protected static final void gtk_icon_theme_set_screen(Handle itheme,
                                                          Handle screen)

### gtk_icon_theme_set_search_path

    protected static final void gtk_icon_theme_set_search_path(Handle itheme,
                                                               java.lang.String[] path,
                                                               int pathlen)

### gtk_icon_theme_get_search_path

    protected static final java.lang.String[] gtk_icon_theme_get_search_path(Handle itheme)

### gtk_icon_theme_append_search_path

    protected static final void gtk_icon_theme_append_search_path(Handle itheme,
                                                                  java.lang.String path)

### gtk_icon_theme_prepend_search_path

    protected static final void gtk_icon_theme_prepend_search_path(Handle itheme,
                                                                   java.lang.String path)

### gtk_icon_theme_set_custom_theme

    protected static final void gtk_icon_theme_set_custom_theme(Handle itheme,
                                                                java.lang.String name)

### gtk_icon_theme_has_icon

    protected static final boolean gtk_icon_theme_has_icon(Handle itheme,
                                                           java.lang.String iconName)

### gtk_icon_theme_lookup_icon

    protected static final Handle gtk_icon_theme_lookup_icon(Handle itheme,
                                                             java.lang.String iconName,
                                                             int size,
                                                             int iconLookupFlags)

### gtk_icon_theme_load_icon

    protected static final Handle gtk_icon_theme_load_icon(Handle itheme,
                                                           java.lang.String iconName,
                                                           int size,
                                                           int iconLookupflags,
                                                           Handle error)

### gtk_icon_theme_list_icons

    protected static final java.lang.String[] gtk_icon_theme_list_icons(Handle itheme,
                                                                        java.lang.String context)

### gtk_icon_theme_get_example_icon_name

    protected static final java.lang.String gtk_icon_theme_get_example_icon_name(Handle itheme)

### gtk_icon_theme_rescan_if_needed

    protected static final boolean gtk_icon_theme_rescan_if_needed(Handle itheme)

### gtk_icon_theme_add_builtin_icon

    protected static final void gtk_icon_theme_add_builtin_icon(java.lang.String iconName,
                                                                int size,
                                                                Handle pixbuf)